#include "testlib.h"
#include <iostream>
 
using namespace std;
 
int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    
    int t = 100;
    cout << t << '\n';
    for (int n = 1; n <= 100; n++) {
        cout << 20 << ' ' << 5 << '\n';
    }
}
